From f4e98a389b2cf08687aed5667ba776ef372883c7 Mon Sep 17 00:00:00 2001
From: Mike Walters <mike@flomp.net>
Date: Fri, 14 Apr 2017 20:06:35 +0100
Subject: [PATCH 06/10] Switch plotview to QGraphicsView for canvas dragging

---
 plotview.cpp | 3 ++-
 plotview.h   | 4 ++--
 2 files changed, 4 insertions(+), 3 deletions(-)

diff --git a/plotview.cpp b/plotview.cpp
index 85b0e3d..7e0541b 100644
--- a/plotview.cpp
+++ b/plotview.cpp
@@ -36,6 +36,7 @@
 PlotView::PlotView(InputSource *input) : cursors(this), viewRange({0, 0})
 {
     mainSampleSource = input;
+    setDragMode(QGraphicsView::ScrollHandDrag);
     setHorizontalScrollBarPolicy(Qt::ScrollBarAlwaysOn);
     setMouseTracking(true);
     enableCursors(false);
@@ -193,7 +194,7 @@ bool PlotView::viewportEvent(QEvent *event) {
     }
 
     // Handle parent eveents
-    QAbstractScrollArea::viewportEvent(event);
+    QGraphicsView::viewportEvent(event);
 
     // Pass mouse events to individual plot objects
     if (event->type() == QEvent::MouseButtonPress ||
diff --git a/plotview.h b/plotview.h
index 7ff969f..2631d8f 100644
--- a/plotview.h
+++ b/plotview.h
@@ -19,7 +19,7 @@
 
 #pragma once
 
-#include <QAbstractScrollArea>
+#include <QGraphicsView>
 #include <QPaintEvent>
 
 #include "cursors.h"
@@ -29,7 +29,7 @@
 #include "spectrogramplot.h"
 #include "traceplot.h"
 
-class PlotView : public QAbstractScrollArea, Subscriber
+class PlotView : public QGraphicsView, Subscriber
 {
     Q_OBJECT
 
-- 
2.11.0

